LINUX.ORG.RU

perl-gtk на Slackware 9.1


0

0

Решил собрать dvd::rip (http://www.exit1.org/dvdrip/) Этот сабж требует Perl но у меня стоит Perl 5.8 Вылетает такое вот сообщение: ./dvdrip Can't locate Gtk/Gdk/Pixbuf.pm in @INC (@INC contains: lib /usr/lib/perl5/5.8.0/i386-linux /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i386-linux /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl .) at lib/Video/DVDRip/GUI/ImageClip.pm line 13. BEGIN failed--compilation aborted at lib/Video/DVDRip/GUI/ImageClip.pm line 13. Compilation failed in require at lib/Video/DVDRip/GUI/Project.pm line 15. BEGIN failed--compilation aborted at lib/Video/DVDRip/GUI/Project.pm line 15. Compilation failed in require at lib/Video/DVDRip/GUI/Main.pm line 17. BEGIN failed--compilation aborted at lib/Video/DVDRip/GUI/Main.pm line 17. Compilation failed in require at ./dvdrip line 83.

Ставлю perl-gtk: perl makefile.pl ... make ......... ........ make[1]: Entering directory `/home/iron/1/linux/video/editing/Gtk-Perl-0.7009/Gtk' make[1]: *** Нет правила для сборки цели `build/perl-gtk-ref.pod', требуемой для `manifypods'. Останов. make[1]: Leaving directory `/home/iron/1/linux/video/editing/Gtk-Perl-0.7009/Gtk' make: *** [subdirs] Ошибка 2 Кто сталкивался с подобным Нужно собрать dvd риппер file:///home/iron/1/linux/video/editing/index.html Написано сумбурно, но более организованно не смог. Понять можно лишь самому собирая на данной оси сабж.

anonymous

Re: perl-gtk на Slackware 9.1

Блин 2 недели уже ирахаюсь с этим и ведь знаю что никто не поймет моего бреда а пишу

anonymous ()
Ответ на: Re: Re: perl-gtk на Slackware 9.1 от anonymous

Re: Re: Re: perl-gtk на Slackware 9.1

если поставить бинарик (ставятся), то при запуске DVD::RIP вывалится вот такая шняга: bash-2.05b$ ./dvdrip [filterlist] (re)scanning transcode's module path /usr/local/lib/transcode... Can't locate Gtk/Gdk/Pixbuf.pm in @INC (@INC contains: lib /usr/lib/perl5/5.8.0/i486-linux /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i486-linux /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl .) at lib/Video/DVDRip/GUI/ImageClip.pm line 13. BEGIN failed--compilation aborted at lib/Video/DVDRip/GUI/ImageClip.pm line 13. Compilation failed in require at lib/Video/DVDRip/GUI/Project.pm line 15. BEGIN failed--compilation aborted at lib/Video/DVDRip/GUI/Project.pm line 15. Compilation failed in require at lib/Video/DVDRip/GUI/Main.pm line 17. BEGIN failed--compilation aborted at lib/Video/DVDRip/GUI/Main.pm line 17. Compilation failed in require at ./dvdrip line 83.

Перл же стоит (5.8)

anonymous ()
9 января 2004 г.

Re: perl-gtk на Slackware 9.1

Такая же тема только на слаке 9.0 :( Не могу собрать perl-gtk 0.7009.

make[1]: ***** No rule to make target `build/perl-gtk-ref.pod', needed by `manifypods'. Stop. make[1]: Leaving directory `/usr/local/Gtk-Perl-0.7009/Gtk' make: ***** [subdirs] Error 2

Если у кого это получилось, поделитесь опытом :)

Myrth ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.